'use strict';

var _baseGetAllKeys = require('./_baseGetAllKeys.js');
var _getSymbolsIn = require('./_getSymbolsIn.js');
var keysIn = require('./keysIn.js');

/**
 * Creates an array of own and inherited enumerable property names and
 * symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names and symbols.
 */
function getAllKeysIn(object) {
  return _baseGetAllKeys(object, keysIn, _getSymbolsIn);
}

module.exports = getAllKeysIn;
